IBM Support

Latest version of CICS Explorer and CICS Tools plug-ins for CICS Explorer

Technote (FAQ)


Question

What is the latest release that you can download of the IBM CICS Explorer and CICS Tools plug-ins for CICS Explorer, that support CICS Transaction Server for z/OS (CICS TS) V5.4, V5.3, V5.2, or V5.1?

Answer

Click on one of the following CICS Explorer releases to see the version highlights and the corresponding CICS Tools plug-in releases. The releases are in order from latest (newest) to oldest.

Latest release

Product
Latest Version
CICS Explorer for CICS TS 5.4, 5.3, 5.2, 5.1, and 4.2
CICS Configuration Manager 5.3 plug-in for CICS Explorer
CICS Deployment Assistant 5.3 plug-in for the CICS Explorer
CICS Interdependency Analyzer 5.3 plug-in for CICS Explorer
5.3.0.10 (1)(2)
CICS Performance Analyzer 5.4 plug-in for CICS Explorer
CICS Transaction Gateway plug-in for the CICS Explorer
  1. CICS Explorer must be upgraded to Version 5.4 or Version 5.3.0.13 (APARs IV95659 and IV96224), or later, at the same time as applying this fix.
  2. The host side APAR PI74028 (PTF UI44728) must already be applied.

Previous releases

Product
Latest Version
CICS Explorer for CICS TS 5.3, 5.2, 5.1, and 4.2
IBM Explorer for z/OS
CICS Configuration Manager plug-in for CICS Explorer
CICS Interdependency Analyzer plug-in for CICS Explorer
CICS Performance Analyzer plug-in for CICS Explorer
  1. a) If the plug-in for CICS Interdependency Analyzer is installed, then it must be upgraded to Version 5.3.0.8 (APARs IV94230 and IV95004), or later.
    b) If the plug-in for CICS Performance Analyzer is installed, then it must be upgraded to Version 5.3.0.4 (APAR IV95011).
  2. CICS Explorer must be upgraded to Version 5.4 or Version 5.3.0.13 (APARs IV95659 and IV96224), or later, at the same time as applying this fix.

*** NEW 9 March 2017
** NEW 30 August 2017
* NEW 29 September 2017

IBM Explorer for z/OS V3.0 and CICS Explorer V5.3, or later
Information on IBM Explorer for z/OS and CICS Explorer V5.3 or later is available on the Mainframe Development page under "Mainframe DevOps Solutions".

This latest release does not permit you to download maintenance from IBM Fix Central. Instead, installation instructions are available under Install Eclipse Tools which you can get to from the Mainframe Development page.
IBM Explorer for z/OS V2.1 and CICS Explorer V5.2, or earlier
IBM provides three methods for you to obtain the maintenance for CICS Explorer:
  1. Update to the new version from within the CICS Explorer by applying the maintenance from an IBM-hosted Eclipse update site
  2. Use Installation Manager
  3. Download the maintenance from IBM Fix Central

See the "Installation instructions" in the Readme for each product for more details. The Readme also contains the prerequisites and the list of enhancements and bugs fixed by each new version.

Many of the new releases of CICS Explorer and CICS Tools plug-ins for CICS Explorer contain bug fixes in addition to new functionality. To see a complete list of applicable APARs*, click on the link for each product's Fix list from the Fixes by version for CICS product document.

*There are no PTFs associated with the applicable APARs.

To determine the releases of the CICS Tools plug-ins for CICS Explorer that are compatible with each release of CICS Explorer, refer to the z/OS Explorer, CICS Explorer, and CICS tools plug-ins release compatibility reference tables. Details of the underlying Eclipse release for CICS Explorer are also provided in these tables.

To get the download packages for previous releases of CICS Explorer, see Downloads for older releases of IBM Explorer for z/OS and IBM CICS Explorer.

If you are new to CICS Explorer, see Getting started with the CICS Explorer.




CICS Explorer 5.4.0.4 fix pack and CICS Interdependency Analyzer plug-in 5.3.0.10 fix pack


Available: 17 November 2017

CICS Explorer 5.4.0.4 provides a fix for:

  • IJ00990
    • When exporting policy event specification, some error messages which should have been flagged as warnings are being logged as errors. This has been corrected and errors are flagged in the policy editor.
    • When an authentication failure occurs, CICS Explorer tries to reconnect automatically hence incrementing the failed logon count. The CMCI connection now disconnects fully to prevent incrementing the failed logon count.
    • Background work has been completed in order to provide support for future CICS APAR PI87691 which provides Multi-Factor Authentication (MFA) support for CMCI and CICS Explorer.
    CICS Interdependency Analyzer Manager 5.3.0.10 provides a fix for:
    • IJ00790
      • The Interdependency Analyzer plug-in repositories have had all references to DBFunc removed as it has been moved to CICS Explorer.

    For more information about the update, click on the links to the Readme and APARs in the following table:

    Product
    Version
    (Readme)
    APAR
    CICS Explorer for CICS TS 5.4, 5.3, 5.2, 5.1, and 4.2
    CICS Interdependency Analyzer 5.3 plug-in for the CICS Explorer
    IJ00790 (1)

    (1) Important: APAR IJ00790 is not currently available from the z/OS Explorer Aqua V3.0 repository; this will be made available at a later date. The fix pack can be accessed via the z/OS Explorer Aqua V3.1 repository http://public.dhe.ibm.com/ibmdl/export/pub/software/htp/zos/tools/aqua3.1/.

    In order to obtain the updates, see Ordering maintenance for IBM CICS Explorer and CICS Explorer plug-ins for details.

    If you need to determine the releases of the CICS tools plug-ins for CICS Explorer that are compatible with the release of the CICS Explorer or the release of a CICS tool that you are using, see CICS Explorer and CICS tools plug-ins release compatibility reference tables. The tables in this document also contain the releases of Eclipse SDK required for the different releases of CICS Explorer.

    To see if there have been any APARs opened against the CICS Explorer since this version became available, see the Fix lists for the CICS Explorer.





    CICS Explorer 5.3.0.16, CICS Deployment Assistant plug-in 5.3.0.4, and CICS Configuration Manager plug-in 5.3.0.4 fix packs

    Available: 29 September 2017

    CICS Explorer 5.3.0.16 provides a fix for:

    • IV99265
      • When a user creates an application (bundle) using a misconfigured environment, because of the way that Eclipse builds, the application builds correctly in the workspace even though there are compile errors. When the user tries to export the bundle to HFS, Explorer checks the success of the export and if there are compile errors or missing dependencies, it will fail.

    CICS Configuration Manager 5.3.0.4 provides a fix for:
    • IV97908
      • When selecting a package in the Change Packages view that contains a large number of commands (more than around 70, depending on the screen resolution) and opening it, when all of the commands are selected in the commands tab and the remove button is clicked, the 'Confirm removal' dialog did not work correctly. The 'Confirm removal' dialog will now, regardless of how many commands there are, open correctly with the dialog being the full height of the screen, having a vertical scroll bar allowing the user to read the full message and making sure that the yes or no buttons are always visible when appropriate.

    CICS Deployment Assistant 5.3.0.4 provides fixes for:
    • IJ00341
      • Once a new CICS Deployment Assistant Connection is made (or an existing one is edited), using the 'Add Deployment Assistant Connection' wizard, there is no longer a requirement for the JES Member name to be filled in (in the System tab) when there is a SYSPLEX with no JESPLEX.

    For more information about the update, click on the links to the Readme and APARs in the following table:

    Product
    Version
    (Readme)
    APAR
    CICS Explorer for CICS TS 5.4, 5.3, 5.2, 5.1, and 4.2
    CICS Configuration Manager 5.3 plug-in for the CICS Explorer
    CICS Deployment Assistant 5.3 plug-in for the CICS Explorer

    * This APAR was raised against CICS Explorer 5.4 and backported to CICS Explorer 5.3.

    In order to obtain the update, see Ordering maintenance for IBM CICS Explorer and CICS Explorer plug-ins for details.

    If you need to determine the releases of the CICS tools plug-ins for CICS Explorer that are compatible with the release of the CICS Explorer or the release of a CICS tool that you are using, see CICS Explorer and CICS tools plug-ins release compatibility reference tables. The tables in this document also contain the releases of Eclipse SDK required for the different releases of CICS Explorer.

    To see if there have been any APARs opened against the CICS Explorer since this version became available, see the Fix lists for the CICS Explorer.





    CICS Explorer 5.3.0.15 and 5.2.0.8 fix packs and z/OS Explorer 2.1.0.13 fix pack


    Available: 30 August 2017

    CICS Explorer 5.3.0.15 provides a fix for:

    • IV97801
      • z/OS Explorer has been updated to fix pack 3.0.1.11. CICS Explorer has been rebuilt to include this.

    In addition, fix packs for a Java security vulnerability are provided by the following APARs for V5.2 of CICS Explorer and V2.1 of IBM Explorer for z/OS, available on 30th August 2017. These fix packs for the older releases have been included in the Downloads for older releases of IBM Explorer for z/OS and IBM CICS Explorer page.

    CICS Explorer 5.2.0.8 provides a fix for:
    • IV95476
      • An unspecified vulnerability related to the Libraries component in IBM Java SDK could allow a remote attacker to obtain sensitive information resulting in a high confidentiality impact using unknown attack vectors. CICS Explorer has been updated to package a new Java Runtime Environment (JRE).

    IBM Explorer for z/OS 2.1.0.13 provides a fix for:
    • IV95475
      • An unspecified vulnerability related to the Libraries component in IBM Java SDK could allow a remote attacker to obtain sensitive information resulting in a high confidentiality impact using unknown attack vectors. CICS Explorer has been updated to package a new Java Runtime Environment (JRE).

    For more information about the updates, click on the links to the Readmes and APARs in the following table:

    Product
    Version
    (Readme)
    APAR
    CICS Explorer for CICS TS 5.4, 5.3, 5.2, 5.1, 4.2, and 4.1
    IV95476*
    IBM Explorer for z/OS
    IV95475*

    *APARs IV95476 and IV95475 are not on the web because they are security integrity APARs. See related Security Bulletin: Multiple vulnerabilities in IBM Java SDK affect IBM Explorer for z/OS V2.1 and V3.0.1 (CVE-2016-5548 and CVE-2016-5549) for more information. There are no related Java security vulnerability APARs for the CICS Tools plug-ins for CICS Explorer.

    See Finding security and integrity APARs for System z products like CICS TS for the best way to stay current and be notified when there is a security and integrity APAR for CICS Transaction Sever for z/OS and the CICS Tools that run on z/OS.

    In order to obtain the updates, see Ordering maintenance for IBM CICS Explorer and CICS Explorer plug-ins for details.

    If you need to determine the releases of the CICS Tools plug-ins for CICS Explorer that are compatible with a particular release of CICS Explorer or the release of a CICS Tool that you are using, refer to the CICS Explorer and CICS tools plug-ins release compatibility reference tables. These reference tables also give details of the releases of Eclipse SDK that are required for the different releases of CICS Explorer.

    To see if there have been any APARs opened against the CICS Explorer since this version became available, see the Fix lists for the CICS Explorer.





    5.4.0 CICS Explorer and CICS Performance Analyzer, CICS Interdependency Analyzer plug-in 5.3.0.9, and CICS Deployment Assistant plug-in 5.3.0.3 fix packs

    Available: 16 June 2017

    Version 5.4.0.0 of the CICS Explorer and CICS Performance Analyzer plug-in provide support for CICS Transaction Server for z/OS V5.4.

    CICS Explorer V5.4 includes the following new functionality as documented in the release notes:

    • The policy definition editor is available to work with task rules and system rules in policies, instead of manually editing an XML file. For more information, see The policy definition editor.
    • Explorer is enhanced to support PERFORM SHUTDOWN keywords. For more information, see System Commands.
    • The transaction tracking search feature is enhanced to present a useful hierarchy of tasks.
    • Smart cards can now be used to authenticate connections.
    • When you are installing a CICS resource, you can use a text box to filter the list of install targets (groups or systems) in the Perform Operation dialog.
    • The multi-select option can be used to "multi-select" in the Perform Operation dialog.
    • You can override a record count warning option.
    • You can load all resource records by using the Load All button.
    • You can now define and install WebSphere MQ monitors to manage WebSphere MQ trigger and bridge monitors.
    • You can also use WebSphere MQ monitors to manage user-written transactions that use messages that arrive on an input queue that is not an initiation queue or a bridge queue.
    • A new MQ Monitors (MQMON) view is provided in SM Operations views.
    • A new MQ Monitor Definitions (MQMONDEF) view is provided in SM Definition views.
    • Use the Transient data queue (TDQ) EP adapter when you create or configure an event processing (EP) adapter.
    • Message capture in CICS event binding is enhanced.
    • For resources that are installed from a bundle, a simpler method has been provided to locate the originating bundle.
    • The version of z/OS Explorer within CICS Explorer is updated to support importing certificates. Support for client certificate authentication from a keystore file on disk, or from a smart card, is available. For more information, see Defining connection credentials and Managing SSL security and certificates.
    • Two new views are added for LSR Pools (LSRPOOL) and LSR Pool Buffers (LSRPBUF). You can access the LSR Pool and LSR Pool Buffer views from the CICS Explorer Operations menu.
    • Two options are now provided for you to use to import view customizations. You can browse locally for your imported file, or you can use the HTTP URL option.
    • From a zFS UNIX file system path, you can use the hyperlinks to directly open the files or folders.
    • When you perform an install operation, a new check box is added to "Verify the resource enables successfully".
    • In order to update and simplify the Operations menu, some older views are now removed from the operations menu.
    • The Liberty libraries, available in CICS Explorer target platforms, are upgraded to Liberty 16.0.0.3.
    • The information that was in the Java Developer Guide is now included in CICS TS for z/OS® 5.4.0, see Developing Java™ applications for CICS.

    For more information about the new and changed function, see What's new in Version 5.4.0 in the product documentation or the CICS Explorer Help Contents.

    In addition, CICS Deployment Assistant 5.3.0.3 provides a fix for:
    • IV96469
      • Translations missing from CICS DA plug-in 5.3.0.2 have been included.
      • The Plug-in has been recompiled to enable its look-up tables to recognise entries for v5.4 when creating a v5.4 Management Facility.

    CICS Interdependency Analyzer 5.3.0.9 provides fixes for:
    • IV96468
      • Translations missing from CICS IA plug-in 5.3.0.8 have been included.


    Product
    Version
    APAR
    CICS Explorer for CICS TS 5.4, 5.3, 5.2, 5.1, 4.2, and 4.1
    5.4.0.0
    none
    CICS Deployment Assistant 5.3 plug-in for the CICS Explorer
    CICS Interdependency Analyzer 5.3 plug-in for CICS Explorer
    CICS Performance Analyzer 5.4 plug-in for CICS Explorer
    5.4.0.0
    none

    CICS Explorer V5.4 is compatible with CICS TS V5.4, V5.3, V5.2, V5.1, V4.2, and V4.1 therefore, you can install the new version of CICS Explorer and take advantage of a lot of the new functionality regardless of the release of CICS TS that you are using.


    CICS Explorer V5.4 and the CICS Performance Analyzer plug-in for CICS Explorer are shipped as new releases so no APARs are associated with them. The new code is available on the Mainframe development page. If your current version of CICS Explorer is Version 5.3, or earlier, you must install a new copy of CICS Explorer. You cannot just upgrade CICS Explorer. It is advisable to back up any existing workspace before you install this new release of CICS Explorer.

    The CICS Performance Analyzer V5.4 plug-in is required for CICS Explorer V5.4. The plug-in supports CICS Explorer V5.4 and many of the new functions in CICS TS V5.4.

    The latest releases of V5.3 plug-ins for the CICS tools that have not been updated to V5.4 also provide compatibility with CICS Explorer V5.4:

    • CICS CM V5.3.0.2
    • CICS DA V5.3.0.3
    • CICS IA V5.3.0.9

    CICS Explorer runs on IBM Explorer for z/OS Aqua 3.1 (z/OS Explorer). For details, see What's new in z/OS Explorer Version 3.1.0. CICS Explorer requires Eclipse 4.6.3.

    If you install CICS Explorer V5.4 from the Mainframe development page by selecting a "z/OS Explorer Aqua V3.1" download, the minimum available plug-in levels will be those listed above. To use earlier versions of the plug-ins, you must use the Aqua V3.0 site which has CICS Explorer V5.3.

    If you need to determine the releases of the CICS Tools plug-ins for CICS Explorer that are compatible with a particular release of CICS Explorer or the release of a CICS Tool that you are using, refer to the z/OS Explorer, CICS Explorer, and CICS tools plug-ins release compatibility reference tables. These reference tables also give details of the releases of Eclipse SDK that are required for the different releases of CICS Explorer.






    CICS Explorer 5.3.0.13, CICS Interdependency Analyzer plug-in 5.3.0.8, CICS Deployment Assistant plug-in 5.3.0.2 and CICS Performance Analyzer plug-in 5.3.0.4 fix packs

    Available: 26 May 2017

    CICS Explorer 5.3.0.13 provides fixes for:
    • IV96224
      • Clipboard contents are prevented from being replaced if non-loaded records are selected.
    • IV95659
      • The view menu will now be preserved across upgrades.
      • DBFunc has been removed from the CICS IA Plug-in and CICS PA Plug-in packaging and is now shipped as part of CICS Explorer.
    NOTE:
      1. If the plug-in for CICS Interdependency Analyzer is installed, then it must be upgraded to Version 5.3.0.8 (APARs IV94230 and IV95004).
      2. If the plug-in for CICS Performance Analyzer is installed, then it must be upgraded to Version 5.3.0.4 (APAR IV95011).

    CICS Deployment Assistant Analyzer 5.3.0.2 provides a fix for:
    • IV95006
      • Toleration has been provided for CICS TS Version 5.4.
      • Hyperlinks have been corrected to point to the correct addresses.

    CICS Interdependency Analyzer 5.3.0.8 provides fixes for:
    • IV94230
      • Support is provided for Eclipse Neon (4.6).
    • IV95004
      • Toleration has been provided for CICS TS Version 5.4.
      • The CICS types: ANY, CHILD, DATATOJSON, JSONTODATA and CICS commands: FETCH, RUN TRANSID have been added into the CICS query editor.
      • Java 8 is now supported.
      • DBFunc has been removed from the CICS IA Plug-in packaging and is now shipped as part of CICS Explorer.
    NOTE: CICS Explorer must be upgraded to Version 5.3.0.13 (APARs IV95659 and IV96224) at the same time as applying this fix.

    CICS Performance Analyzer 5.3.0.4 provides a fix for:
    • IV95011
      • Toleration has been provided for CICS TS Version 5.4.
      • DBFunc has been removed from the CICS PA Plug-in packaging and is now shipped as part of CICS Explorer.
    NOTE: CICS Explorer must be upgraded to Version 5.3.0.13 (APARs IV95659 and IV96224) at the same time as applying this fix.

    For more information about the update, click on the links to the Readme and APARs in the following table:

    Product
    Version
    (Readme)
    APAR
    CICS Explorer for CICS TS 5.3, 5.2, 5.1, 4.2, 4.1, 3.2 and 3.1
    CICS Deployment Assistant 5.3 plug-in for CICS Explorer
    CICS Interdependency Analyzer 5.3 plug-in for CICS Explorer
    CICS Performance Analyzer 5.3 plug-in for CICS Explorer

    In order to obtain the update, see Ordering maintenance for IBM CICS Explorer and CICS Explorer plug-ins for details.

    If you need to determine the releases of the CICS tools plug-ins for CICS Explorer that are compatible with the release of the CICS Explorer or the release of a CICS tool that you are using, see CICS Explorer and CICS tools plug-ins release compatibility reference tables. The tables in this document also contain the releases of Eclipse SDK required for the different releases of CICS Explorer.

    To see if there have been any APARs opened against the CICS Explorer since this version became available, see the Fix lists for the CICS Explorer.





    CICS Interdependency Analyzer plug-in 5.2.0.6 fix pack


    Available: 9 March 2017

    CICS Interdependency Analyzer 5.2.0.6 provides fixes for:

    • IV92181
      • The CICS IA plug-in display of output for the collected command function was not indenting the program name from the left margin window at each new logical level change when a program transferred control using an EXEC CICS LINK or dynamic CALL and a CICS TS user exit was being invoked. This has been corrected.

    For more information about the update, click on the links to the Readme and APARs in the following table:

    Product
    Version
    (Readme)
    APAR
    CICS Interdependency Analyzer 5.2 plug-in for CICS Explorer

    In order to obtain the update, see Ordering maintenance for IBM CICS Explorer and CICS Explorer plug-ins for details.

    If you need to determine the releases of the CICS tools plug-ins for CICS Explorer that are compatible with the release of the CICS Explorer or the release of a CICS tool that you are using, see CICS Explorer and CICS tools plug-ins release compatibility reference tables. The tables in this document also contain the releases of Eclipse SDK required for the different releases of CICS Explorer.

    To see if there have been any APARs opened against the CICS Explorer since this version became available, see the Fix lists for the CICS Explorer.





    CICS Explorer 5.3.0.10 and CICS Transaction Gateway plug-in 3.0.0.3 fix packs


    Available: 27 January 2017

    CICS Explorer 5.3.0.10 provides fixes for:

    • IV92195
      • Icons within resources tables (for example, to indicate whether a resource had been installed from a bundle) have been reinstated.
      • An update has been made so that when searching for Tasks from a TCP/IP service, an error is no longer given.
      • In some instances an IllegalArgumentException could be thrown from the CICS Explorer model. This has been corrected.
      • When installing a definition on Windows, in some situations (for example, where there were no system groups), only one region was shown as a possible install target. This has been corrected.
      • An update has been made so that when editing a filter for a view configuration, the user no longer gets a benign SWTException in some situations.

    CICS Transaction Gateway plug-in 3.0.0.3 provides fixes for:
    • PI74695
      • An error no longer occurs when a user tries to connect the CICS Transaction Gateway plug-in to a Gateway daemon using the statistics port.

    For more information about the updates, click on the links to the Readmes and APARs in the following table:

    Product
    Version
    (Readme)
    APAR
    CICS Explorer for CICS TS 5.3, 5.2, 5.1, 4.2, 4.1, 3.2 and 3.1
    CICS Transaction Gateway 3.0 plug-in for CICS Explorer
    3.0.0.3

    In order to obtain the updates, see Ordering maintenance for IBM CICS Explorer and CICS Explorer plug-ins for details.

    If you need to determine the releases of the CICS tools plug-ins for CICS Explorer that are compatible with the release of the CICS Explorer or the release of a CICS tool that you are using, see CICS Explorer and CICS tools plug-ins release compatibility reference tables. The tables in this document also contain the releases of Eclipse SDK required for the different releases of CICS Explorer.

    To see if there have been any APARs opened against the CICS Explorer since this version became available, see the Fix lists for the CICS Explorer.




    5.2.0.4 CICS Interdependency Analyzer 5.2 plug-in for CICS Explorer enhancements and support for APAR PI38229 and PI22815

    Available: 7 October 2015

    CICS Interdependency Analyzer plug-in for CICS Explorer V5.2.0.4 provides:

    • Support for CICS Interdependency Analyzer for z/OS APAR PI38229:
      • In the Queries, Command Flow, and Visualization views, TSQNAME and TSQUEUE AUX fields incorrectly appear on the list of CICS Types.
      • In the Queries and Command Flow views, READQ AUX and WRITEQ AUX fields are missing from the list of available CICS Commands.
    • Support is provided for CICS Interdependency Analyzer for z/OS APAR PI22815 compatibility:
      • In the Queries view, Command Flow Queries using a remote name do not produce results.
      • In the Command Flow view the Remote Name and Remote Sysid information is incorrect.
    • Enhancements
      • The resource connections view has been redesigned.
      • Uses Resources view has been redesigned.

    For more information about the updates, click on the Readme and APARs in the following table:


    Product (and link to Readme)
    Version
    (Readme)
    APAR
    CICS Interdependency Analyzer 5.2 plug-in for CICS Explorer

    The above-mentioned enhancements are also included in 5.1.1.7 CICS Interdependency Analyzer 5.1 plug-in:

    Product (and link to Readme)
    Version
    (Readme)
    APAR
    CICS Interdependency Analyzer 5.1 plug-in for CICS Explorer

    This fix pack for the older release has been included in the download packages for previous releases of CICS Interdependency Analyzer 5.1 plug-in for CICS Explorer, see Releases of the CICS Explorer that are no longer available on the primary download page.

    If you need to determine the releases of the CICS tools plug-ins for CICS Explorer that are compatible with the release of the CICS Explorer or the release of a CICS tool that you are using, see CICS Explorer and CICS tools plug-ins release compatibility reference tables. The tables in this document also contain the releases of Eclipse SDK required for the different releases of CICS Explorer.

    To see if there have been any APARs opened against the CICS Explorer since this version became available, see the Fix lists for the CICS Explorer.







    5.2.0.5 CICS Explorer enhancements and 2.1.0.11 IBM Explorer for z/OS maintenance updates


    Available: 29 September 2015

    CICS Explorer V5.2.0.5 fixes various problems and minor documentation changes identified in CICS Explorer V5.2:

    • Adding the Regions column to the default task view columns.
    • Improving the way connection exceptions are displayed in installed tools.
    • Correcting the delete button in the drop down in the editor breadcrumb.
    • Corrected an issue where the WLM workload owner is not show in CICS Explorer when installing a routing rule into an existing workload.
    • Fixed a problem whereby the message CNX0593E was issued when removing a CMTCMDEF through CICS Explorer.

    IBM Explorer for z/OS V2.1.0.11 provides a fix and minor documentation updates. The fix is to improve the way connection exceptions are displayed in installed tools.

    For more information about the updates, click on the Readmes and APARs in the following table:


    Product (and link to Readme)
    Version
    (Readme)
    APAR
    CICS Explorer for CICS TS 5.2, 5.1, 4.2, 4.1, 3.2 and 3.1
    IBM Explorer for z/OS
    CICS Configuration Manager 5.2 plug-in for CICS Explorer **
    CICS Deployment Assistant 5.2 plug-in for the CICS Explorer
    5.2.0.0
    none
    CICS Interdependency Analyzer 5.2 plug-in for CICS Explorer ***
    CICS Performance Analyzer 5.2 plug-in for CICS Explorer ***
    CICS Transaction Gateway plug-in for the CICS Explorer
    3.0.0.0
    none
    CICS VSAM Transparency (SupportPac) & z/OS components
    2.1.0.0
    none

    ** There are no updates to the CICS Tools plug-ins that are related to CICS Explorer V5.2.0.5, however, CICS Configuration Manager's fix pack recently became available so the APARs are included in the table.
    *** These have been included to display the most recent fix packs which are available.

    If you need to determine the releases of the CICS tools plug-ins for CICS Explorer that are compatible with the release of the CICS Explorer or the release of a CICS tool that you are using, see CICS Explorer and CICS tools plug-ins release compatibility reference tables. The tables in this document also contain the releases of Eclipse SDK required for the different releases of CICS Explorer.

    To see if there have been any APARs opened against the CICS Explorer since this version became available, see the Fix lists for the CICS Explorer.







    5.2.0.2, 5.1.1.6, 5.1.0.2, 1.1.1.5, 1.1.0.4, 1.0.1.4, & 1.0.0.9 POODLE Security update and more


    Available: 12 December 2014

    Fix packs for the POODLE security vulnerability are provided by the following APARs for the various supported releases of the CICS Explorer and IBM Explorer for z/OS:

    Product APAR
    Version / Fix Pack
    Description of Fix
    CICS Explorer
    1.0.0.9
    Update for POODLE security vulnerability
    1.0.1.4
    1.1.0.4
    1.1.1.5
    5.1.0.2
    5.1.1.6
    5.2.0.2
    IBM Explorer for z/OS
    2.1.0.8


    In addition to the APARs for the POODLE security vulnerability, the following APARs are included in the CICS Explorer 5.2.0.2 and IBM Explorer for z/OS 2.1.0.8 fix packs:
    Product APAR
    Version / Fix Pack
    Description of Fix
    CICS Explorer
    5.2.0.2
    Update for POODLE security vulnerability
    Maintenance roll up
    In CICS Explorer 5.2.0.1 programs appear with a 'BUNDLE' icon
    Support for Apple OS X Yosemite 10.10 or higher
    IBM Explorer for z/OS
    2.1.0.8
    Update for POODLE security vulnerability
    Maintenance roll up
    Support for Apple OS X Yosemite 10.10 or higher

    The 5.2.0.2 and 2.1.0.8 fix packs have been incorporated into the latest release of CICS Explorer and IBM Explorer for z/OS which are hosted on the primary IBM CICS Explorer Downloads page. The fix packs for the older releases have been included in the download packages for previous releases of CICS Explorer, see Releases of the CICS Explorer that are no longer available on the primary download page.

    For more information, refer to the APARs for the fix packs.

    There are no related POODLE security vulnerability APARs for the CICS Tools plug-ins for CICS Explorer. If you need to determine the releases of the CICS Tools plug-ins for CICS Explorer that are compatible with a particular release of CICS Explorer or the release of a CICS Tool that you are using, refer to the CICS Explorer and CICS tools plug-ins release compatibility reference tables. These reference tables also give details of the releases of Eclipse SDK that are required for the different releases of CICS Explorer.

    See Finding security and integrity APARs for System z products like CICS TS for the best way to stay current and be notified when there is a security and integrity APAR for CICS Transaction Sever for z/OS and the CICS Tools that run on z/OS.

    To see if there have been any APARs opened against the CICS Explorer since these versions became available, see the Fix lists for the CICS Explorer.







    5.1.0.1 provides the fix for APARs IV36046 and IV35382
    Available: 9 May 2013

    Version 5.1.0.1 of the CICS Explorer includes APAR IV36046 and IV35382:
    • IV36046 fixes a problem stopped CICS Explorer V5.1 from connecting to CICS on z/VSE
    • IV35382 provides additional support for CICS event binding
    More details about these APARs can be found by clicking on the links to the APARs in the table below.

    To see if there have been any APARs opened against the CICS Explorer since this versions became available, see the Fix lists for the CICS Explorer.


    Product
    Version
    APAR
    CICS Explorer for CICS TS 5.1,4.2, and 4.1
    5.1.0.1
    CICS Configuration Manager 5.1 plug-in for CICS Explorer
    5.1.0.0
    none
    CICS Deployment Assistant 5.1 plug-in for the CICS Explorer
    5.1.0.0
    none
    CICS Interdependency Analyzer 5.1 plug-in for CICS Explorer
    5.1.0.1
    CICS Performance Analyzer 5.1 plug-in for CICS Explorer
    5.1.0.0
    none
    CICS Transaction Gateway plug-in for the CICS Explorer
    2.0.0.0
    none
    CICS VSAM Transparency (SupportPac) & z/OS components
    2.1.0.0
    none
    IBM Session Manager 3.2 plug-in for CICS Explorer
    3.2.0.0
    none

    There are no updates to the CICS tools plug-ins that correspond with the CICS Explorer updates, however, an updated CICS IA 5.1 plug-in is also available (V5.1.0.1).

    If you need to determine the releases of the CICS tools plug-ins for CICS Explorer that are compatible with the release of the CICS Explorer or the release of a CICS tool that you are using, see CICS Explorer and CICS tools plug-ins release compatibility reference tables. The tables in this document also contain the releases of Eclipse SDK required for the different releases of CICS Explorer.


  • Cross reference information
    Segment Product Component Platform Version Edition
    Host Transaction Processing CICS Interdependency Analyzer for z/OS IA Explorer 5.3, 5.2, 5.1
    Host Transaction Processing CICS Performance Analyzer for z/OS CICS Explorer Plug-in 5.4, 5.3, 5.2, 5.1
    Host Transaction Processing CICS Configuration Manager for z/OS CICS Explorer Plug-in 5.3, 5.2, 5.1
    Host Transaction Processing CICS Deployment Assistant for z/OS Explorer Plug-in Linux, Windows 5.3, 5.2, 5.1
    Host Transaction Processing IBM Session Manager CICS Explorer Plug-in 3.2, 3.1
    Host Transaction Processing CICS Transaction Gateway CICS Transaction Gateway plug-in for CICS Explorer AIX, HP-UX, Linux, Solaris, Windows, z/OS 9.2, 9.1, 9.0, 8.1
    Host Transaction Processing CICS VSAM Transparency for z/OS CICS Explorer plug-in 2.1
    Host Transaction Processing IBM Explorer for z/OS Maintenance Linux, Windows 2.1.0, 3.0.0, 3.0.1, 3.1.0

    Product Alias/Synonym

    CICS/TS CICS TS CICS Transaction Server

    Document information

    More support for: CICS Transaction Server
    Explorer

    Software version: 5.1, 5.2, 5.3, 5.4

    Operating system(s): Linux, Windows, z/OS, z/VSE

    Reference #: 1404312

    Modified date: 06 December 2017


    Translate this page: